%global modulename handlebars

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-handlebars
Version:        4.0.12
Release:        2%{?dist}
Summary:        Handlebars provides the power necessary to let you build semantic templates effectively with no frustration

License:        MIT
URL:            http://www.handlebarsjs.com/
Source0:        https://registry.npmjs.org/handlebars/-/handlebars-4.0.12.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(async) >= 2.5.0 with npmlib(async) < 3.0.0))
BuildRequires:  ((npmlib(optimist) >= 0.6.1 with npmlib(optimist) < 0.7.0))
BuildRequires:  ((npmlib(source-map) >= 0.6.1 with npmlib(source-map) < 0.7.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Handlebars provides the power necessary to let you build semantic templates effectively with no frustration

%package 4.0.12
Summary:        Handlebars provides the power necessary to let you build semantic templates effectively with no frustration


%description 4.0.12
Handlebars provides the power necessary to let you build semantic templates effectively with no frustration

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr print-script %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr runtime.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/handlebars
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/handlebars %{buildroot}/%{_bindir}/handlebars


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.markdown
%doc release-notes.md
%license LICENSE
%{_bindir}/handlebars
%{nodejs_dir}/%{modulename}

%files 4.0.12
%doc README.markdown
%doc release-notes.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 4.0.12-2
- Package automatically generated by npm2srpm
